#include "Color.h"

const Color
  Color::WHITE  (  1,   1,   1),
  Color::GRAY   (.5f, .5f, .5f),
  Color::BLACK  (  0,   0,   0);

const Color
  Color::RED    (  1,   0,   0),
  Color::YELLOW (  1,   1,   0),
  Color::GREEN  (  0,   1,   0),
  Color::CYAN   (  0,   1,   1),
  Color::BLUE   (  0,   0,   1),
  Color::PURPLE (  1,   0,   1);

const Color
  Color::LIGHT_GRAY   = Color::WHITE + Color::GRAY,
  Color::LIGHT_RED    = Color::WHITE + Color::RED,
  Color::LIGHT_YELLOW = Color::WHITE + Color::YELLOW,
  Color::LIGHT_GREEN  = Color::WHITE + Color::GREEN,
  Color::LIGHT_CYAN   = Color::WHITE + Color::CYAN,
  Color::LIGHT_BLUE   = Color::WHITE + Color::BLUE,
  Color::LIGHT_PURPLE = Color::WHITE + Color::PURPLE;

const Color
  Color::DARK_GRAY   = Color::BLACK + Color::GRAY,
  Color::DARK_RED    = Color::BLACK + Color::RED,
  Color::DARK_YELLOW = Color::BLACK + Color::YELLOW,
  Color::DARK_GREEN  = Color::BLACK + Color::GREEN,
  Color::DARK_CYAN   = Color::BLACK + Color::CYAN,
  Color::DARK_BLUE   = Color::BLACK + Color::BLUE,
  Color::DARK_PURPLE = Color::BLACK + Color::PURPLE;


