/**
 * Face class.
 *
 * Written by Robert Osada, September 2000.
 **/
#ifndef __FACE_H__
#define __FACE_H__

#include "Declarations.h"

class Face
{
public:
  // create face and setup connectivity
  Face (VertexPtr v0, VertexPtr v1, VertexPtr v2);

  // vertex access
  int             val       () const       { return 3; }           // valance
  VertexPtr       getVertex (int i)        { return v[Mod(i,3)]; } // wrap around index makes code easier
  const VertexPtr getVertex (int i) const  { return v[Mod(i,3)]; }

private:
  VertexPtr v[3]; // vertices
};

#endif

