#include "Quaternion.h"

const Quat
  Quat::ZERO,
  Quat::ONE(0,0,0,1);

// operators
Quat Quat::operator* (const Quat &r) const
{
  return Quat(
    w*r.x + x*r.w + y*r.z - z*r.y,
    w*r.y + y*r.w + z*r.x - x*r.z,
    w*r.z + z*r.w + x*r.y - y*r.x,
    w*r.w - x*r.x - y*r.y - z*r.z
  );
}

